#include <stdint.h>

void ClearBackground(uint64_t rgba);
void ClearBackgroundWrap(uint8_t r, uint8_t g, uint8_t b, uint8_t a) {
  ClearBackground((uint64_t)r << 24 | (uint64_t)g << 16 | (uint64_t)b << 8 |
                  (uint64_t)a);
}

void DrawRectangle(uint32_t x, uint32_t y, uint32_t width, uint32_t height,
                   uint64_t rgba);
void DrawRectangleWrap(uint32_t x, uint32_t y, uint32_t width, uint32_t height,
                       uint8_t r, uint8_t g, uint8_t b, uint8_t a) {
  DrawRectangle(x, y, width, height,
                (uint64_t)r << 24 | (uint64_t)g << 16 | (uint64_t)b << 8 |
                    (uint64_t)a);
}

void DrawCircle(uint32_t x, uint32_t y, float radius, uint64_t rgba);
void DrawCircleWrap(uint32_t x, uint32_t y, float radius, uint8_t r, uint8_t g,
                    uint8_t b, uint8_t a) {
  DrawCircle(x, y, radius,
             (uint64_t)r << 24 | (uint64_t)g << 16 | (uint64_t)b << 8 |
                 (uint64_t)a);
}
